Package org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.provider

## Class TreeItemProviderAdapterFactorySpec

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
  - - org.eclipse.emf.edit.tree.util.TreeAdapterFactory
    - - org.eclipse.emf.edit.tree.provider.TreeItemProviderAdapterFactory
      - - org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.provider.TreeItemProviderAdapterFactorySpec

All Implemented Interfaces:
  `AdapterFactory`, `ComposeableAdapterFactory`, `IChangeNotifier`, `IDisposable`

    public class TreeItemProviderAdapterFactorySpec
    extends TreeItemProviderAdapterFactory

A specific implementation of `TreeItemProviderAdapterFactory`.

Since:
  4.0

### Field Summary

### Fields inherited from class org.eclipse.emf.edit.tree.provider.TreeItemProviderAdapterFactory

`changeNotifier, disposable, parentAdapterFactory, supportedTypes`

### Fields inherited from class org.eclipse.emf.edit.tree.util.TreeAdapterFactory

`modelPackage, modelSwitch`

### Constructor Summary

Constructors
`TreeItemProviderAdapterFactorySpec​(StructureMergeViewerFilter filter)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`Adapter` `createTreeNodeAdapter()`

### Methods inherited from class org.eclipse.emf.edit.tree.provider.TreeItemProviderAdapterFactory

`adapt, adapt, adaptNew, addListener, dispose, fireNotifyChanged, getRootAdapterFactory, isFactoryForType, removeListener, setParentAdapterFactory`

### Methods inherited from class org.eclipse.emf.edit.tree.util.TreeAdapterFactory

`createAdapter, createEObjectAdapter`

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

`adaptAllNew, associate, createAdapter, resolve`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory

`adaptAllNew`

### Constructor Detail

#### TreeItemProviderAdapterFactorySpec

    public TreeItemProviderAdapterFactorySpec​(StructureMergeViewerFilter filter)

Constructor.

Parameters:
  `filter` - The given StructureMergeViewerFilter

### Method Detail

#### createTreeNodeAdapter

    public Adapter createTreeNodeAdapter()

Overrides:
  `createTreeNodeAdapter` in class `TreeItemProviderAdapterFactory`
See Also:
  `TreeItemProviderAdapterFactory.createTreeNodeAdapter()`